device='0'
model='llava_v1.5_7B_lht'
# dimensions=("privacy" "bias" "toxicity" "hallucination" "legality")
dimensions='all'
validate_dataset='CHAIR'

num_heads_list=(16 24 32 48)
alpha_list=(3 5 7)
# alpha_list=(15 20 25 30)

for num_head in "${num_heads_list[@]}"; do
  # 内层循环
    for alpha in "${alpha_list[@]}"; do
        echo $num_head $alpha
        subfix="_${num_head}_${alpha}_train_I+Q;C_p2+Q_end31_youare_YR_off10_q"
        python eval/CHAIR/chair_eval.py --model $model \
                        --dimensions $dimensions \
                        --log_file "logs/evaluate-${category}_${model}.log" \
                        --device $device \
                        --validate_dataset $validate_dataset \
                        --subfix $subfix
    done
done